%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Mail-IMAPClient
Version:       3.35
Release:       1mamba
Summary:       Mail::IMAPClient - An IMAP Client API
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/P/PL/PLOBBES/Mail-IMAPClient-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-Parse-RecDescent
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Mail::IMAPClient - An IMAP Client API.

%prep
%setup -q -n Mail-IMAPClient-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 3.35-1mamba
- automatic update by autodist

* Fri Oct 04 2013 Automatic Build System <autodist@mambasoft.it> 3.34-1mamba
- automatic update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 3.33-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32-1mamba
- package created by silvan using the webbuild interface
